org.jfree.chart.plot.dial

## Class StandardDialFrame

- java.lang.Object
- - org.jfree.chart.plot.dial.AbstractDialLayer
  - - org.jfree.chart.plot.dial.StandardDialFrame

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialFrame, DialLayer, org.jfree.util.PublicCloneable

    public class StandardDialFrame
    extends AbstractDialLayer
    implements DialFrame, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A simple circular frame for the `DialPlot` class.

Since:
  1.0.7
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StandardDialFrame()` Creates a new instance of `StandardDialFrame`.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of this instance.
`void` `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the frame.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`java.awt.Paint` `getBackgroundPaint()` Returns the background paint.
`java.awt.Paint` `getForegroundPaint()` Returns the foreground paint.
`double` `getRadius()` Returns the radius, relative to the framing rectangle.
`java.awt.Stroke` `getStroke()` Returns the stroke for the frame.
`java.awt.Shape` `getWindow(java.awt.geom.Rectangle2D frame)` Returns the shape for the window for this dial.
`int` `hashCode()` Returns a hash code for this instance.
`boolean` `isClippedToWindow()` Returns `false` to indicate that this dial layer is not clipped to the dial window.
`void` `setBackgroundPaint(java.awt.Paint paint)` Sets the background paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setForegroundPaint(java.awt.Paint paint)` Sets the foreground paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setRadius(double radius)` Sets the radius and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setStroke(java.awt.Stroke stroke)` Sets the stroke and sends a `DialLayerChangeEvent` to all registered listeners.

### Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer

`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.plot.dial.DialLayer

`addChangeListener, hasListener, isVisible, removeChangeListener`

### Constructor Detail

#### StandardDialFrame

    public StandardDialFrame()

Creates a new instance of `StandardDialFrame`.

### Method Detail

#### getRadius

    public double getRadius()

Returns the radius, relative to the framing rectangle.

Returns:
  The radius.
See Also:
  `setRadius(double)`

#### setRadius

    public void setRadius(double radius)

Sets the radius and sends a `DialLayerChangeEvent` to all registered listeners.

Parameters:
  `radius` - the radius (must be positive).
See Also:
  `getRadius()`

#### getBackgroundPaint

    public java.awt.Paint getBackgroundPaint()

Returns the background paint.

Returns:
  The background paint (never `null`).
See Also:
  `setBackgroundPaint(Paint)`

#### setBackgroundPaint

    public void setBackgroundPaint(java.awt.Paint paint)

Sets the background paint and sends a `DialLayerChangeEvent` to all registered listeners.

Parameters:
  `paint` - the paint (`null` not permitted).
See Also:
  `getBackgroundPaint()`

#### getForegroundPaint

    public java.awt.Paint getForegroundPaint()

Returns the foreground paint.

Returns:
  The foreground paint (never `null`).
See Also:
  `setForegroundPaint(Paint)`

#### setForegroundPaint

    public void setForegroundPaint(java.awt.Paint paint)

Sets the foreground paint and sends a `DialLayerChangeEvent` to all registered listeners.

Parameters:
  `paint` - the paint (`null` not permitted).
See Also:
  `getForegroundPaint()`

#### getStroke

    public java.awt.Stroke getStroke()

Returns the stroke for the frame.

Returns:
  The stroke (never `null`).
See Also:
  `setStroke(Stroke)`

#### setStroke

    public void setStroke(java.awt.Stroke stroke)

Sets the stroke and sends a `DialLayerChangeEvent` to all registered listeners.

Parameters:
  `stroke` - the stroke (`null` not permitted).
See Also:
  `getStroke()`

#### getWindow

    public java.awt.Shape getWindow(java.awt.geom.Rectangle2D frame)

Returns the shape for the window for this dial. Some dial layers will request that their drawing be clipped within this window.

Specified by:
  `getWindow` in interface `DialFrame`
Parameters:
  `frame` - the reference frame (`null` not permitted).
Returns:
  The shape of the dial's window.

#### isClippedToWindow

    public boolean isClippedToWindow()

Returns `false` to indicate that this dial layer is not clipped to the dial window.

Specified by:
  `isClippedToWindow` in interface `DialLayer`
Returns:
  A boolean.

#### draw

    public void draw(java.awt.Graphics2D g2,
            DialPlot plot,
            java.awt.geom.Rectangle2D frame,
            java.awt.geom.Rectangle2D view)

Draws the frame. This method is called by the `DialPlot` class, you shouldn't need to call it directly.

Specified by:
  `draw` in interface `DialLayer`
Parameters:
  `g2` - the graphics target (`null` not permitted).
  `plot` - the plot (`null` not permitted).
  `frame` - the frame (`null` not permitted).
  `view` - the view (`null` not permitted).

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractDialLayer`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `AbstractDialLayer`
Returns:
  The hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of this instance.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `AbstractDialLayer`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if any of the frame's attributes cannot be cloned.